## jsmn 1.1.0

=== Makefile ===
# You can put your build options here
-include config.mk

test: test_default test_strict test_links test_strict_links
test_default: test/tests.c jsmn.h
	$(CC) $(CFLAGS) $(LDFLAGS) $< -o test/$@
	./test/$@
test_strict: test/tests.c jsmn.h
	$(CC) -DJSMN_STRICT=1 $(CFLAGS) $(LDFLAGS) $< -o test/$@
	./test/$@
test_links: test/tests.c jsmn.h
	$(CC) -DJSMN_PARENT_LINKS=1 $(CFLAGS) $(LDFLAGS) $< -o test/$@
	./test/$@
test_strict_links: test/tests.c jsmn.h
	$(CC) -DJSMN_STRICT=1 -DJSMN_PARENT_LINKS=1 $(CFLAGS) $(LDFLAGS) $< -o test/$@
	./test/$@

simple_example: example/simple.c jsmn.h
	$(CC) $(LDFLAGS) $< -o $@

jsondump: example/jsondump.c jsmn.h
	$(CC) $(LDFLAGS) $< -o $@

fmt:
	clang-format -i jsmn.h test/*.[ch] example/*.[ch]

lint:
	clang-tidy jsmn.h --checks='*'

clean:
	rm -f *.o example/*.o
	rm -f simple_example
	rm -f jsondump

.PHONY: clean test

=== debian/changelog ===
jsmn (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload. (Closes: #974731)
  * Bump debhelper compat to v13.
  * Mark binary package as Multi-Arch: foreign.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Dec 2020 15:04:04 -0500

jsmn (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #961233).

 -- Steffen Moeller <moeller@debian.org>  Thu, 21 May 2020 19:35:37 +0200

=== debian/control ===
Source: jsmn
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.5.1
Section: libs
Homepage: https://github.com/zserge/jsmn
Vcs-Browser: https://salsa.debian.org/science-team/jsmn
Vcs-Git: https://salsa.debian.org/science-team/jsmn.git
Rules-Requires-Root: no

Package: libjsmn-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: header-only JSON library
 Most JSON parsers offer you a bunch of functions to load JSON data,
 parse it and extract any value by its name. jsmn proves that checking
 the correctness of every JSON packet or allocating temporary objects
 to store parsed JSON fields often is an overkill.
 .
 jsmn is designed to be robust (it should work fine even with erroneous
 data), fast (it should parse data on the fly), portable (no superfluous
 dependencies or non-standard C extensions). And of course, simplicity is
 a key feature - simple code style, simple algorithm, simple integration
 into other projects.
 .
 Features
 .
  * compatible with C89
  * no dependencies (even libc!)
  * highly portable (tested on x86/amd64, ARM, AVR)
  * about 200 lines of code
  * extremely small code footprint
  * API contains only 2 functions
  * no dynamic memory allocation
  * incremental single-pass parsing
  * library code is covered with unit-tests

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f test/test_strict_links test/test_strict_links test/test_strict test/test_links test/test_default test/test_default

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%jsmn-$1.tar.gz%" \
   https://github.com/zserge/jsmn/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
